Skip to main content
POST
/
public
/
api
/
v1
/
inboxes
/
{inbox_identifier}
/
contacts
Create a contact
curl --request POST \
  --url https://airys.chat/public/api/v1/inboxes/{inbox_identifier}/contacts \
  --header 'Content-Type: application/json' \
  --data '
{
  "identifier": "1234567890",
  "identifier_hash": "e93275d4eba0e5679ad55f5360af00444e2a888df9b0afa3e8b691c3173725f9",
  "email": "alice@acme.inc",
  "name": "Alice",
  "phone_number": "+123456789",
  "avatar": "<string>",
  "custom_attributes": {}
}
'
import requests

url = "https://airys.chat/public/api/v1/inboxes/{inbox_identifier}/contacts"

payload = {
"identifier": "1234567890",
"identifier_hash": "e93275d4eba0e5679ad55f5360af00444e2a888df9b0afa3e8b691c3173725f9",
"email": "alice@acme.inc",
"name": "Alice",
"phone_number": "+123456789",
"avatar": "<string>",
"custom_attributes": {}
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
identifier: '1234567890',
identifier_hash: 'e93275d4eba0e5679ad55f5360af00444e2a888df9b0afa3e8b691c3173725f9',
email: 'alice@acme.inc',
name: 'Alice',
phone_number: '+123456789',
avatar: '<string>',
custom_attributes: {}
})
};

fetch('https://airys.chat/public/api/v1/inboxes/{inbox_identifier}/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "source_id": "<string>",
  "name": "<string>",
  "email": "<string>",
  "phone_number": "<string>",
  "pubsub_token": "<string>"
}
{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}

Path Parameters

inbox_identifier
string
required

The identifier obtained from API inbox channel

Body

application/json
identifier
string

External identifier of the contact

Example:

"1234567890"

identifier_hash
string

Identifier hash prepared for HMAC authentication

Example:

"e93275d4eba0e5679ad55f5360af00444e2a888df9b0afa3e8b691c3173725f9"

email
string

Email of the contact

Example:

"alice@acme.inc"

name
string

Name of the contact

Example:

"Alice"

phone_number
string

Phone number of the contact

Example:

"+123456789"

avatar
file

Send the form data with the avatar image binary or use the avatar_url

custom_attributes
object

Custom attributes of the customer

Example:
{}

Response

Success

id
integer

Id of the contact

source_id
string

The session identifier of the contact

name
string | null

Name of the contact when available

email
string | null

Email of the contact

phone_number
string | null

Phone number of the contact

pubsub_token
string

The token to be used to connect to chatwoot websocket